[ANNOUNCE] x-jhbuild 0.2
Dirk Wallenstein
halsmit at t-online.de
Sat Nov 20 03:49:43 PST 2010
Two small example plug-ins that are to specific to enter the repo.
One opens all active configuration files in a split view with gvim and
the other wraps git-format-patch and sets the subject prefix.
--
Greetings,
Dirk
-------------- next part --------------
#!/bin/bash
# There is a ini syntax definition at http://www.vim.org/scripts/script.php?script_id=2475
# :au! BufNewFile,BufRead xjhrc setfiletype ini
# :au! BufNewFile,BufRead */xjhrc.token/* setfiletype ini
if [ -n "${XJHBUILD_CONFIG_TOKEN}" ] ; then
gvim -O ~/.x-jhbuild/xjhrc "${XJHBUILD_XJH_DIRECTORY_PATH}/xjhrc" "${XJHBUILD_XJH_DIRECTORY_PATH}/xjhrc.token/${XJHBUILD_CONFIG_TOKEN}" "${@}"
else
gvim -O ~/.x-jhbuild/xjhrc "${XJHBUILD_XJH_DIRECTORY_PATH}/xjhrc" "${@}"
fi
-------------- next part --------------
#!/bin/bash
error() {
echo "ERROR ($(basename ${0})): ${@}" >&2
exit 1
}
module_sign=$(xjh --callback get-cwd-module)
[ -n "${module_sign}" ] || error "Could not obtain a module name for the label"
module_sign="${module_sign#xf86-input-}"
module_sign="${module_sign#xf86-video-}"
module_sign="${module_sign#xorg-server}"
git format-patch --subject-prefix="PATCH${module_sign:+ }${module_sign}" "${@}"
More information about the xorg-devel
mailing list